@import "storehaus/cropper",
				"storehaus/direct_upload",
				"storehaus/vars",
				"storehaus/grid",
				"storehaus/picker",
				"storehaus/type";

// Universal

html,
body {
  height: 100%;
  width: 100%;
  margin: 0;
  padding: 0;
  left: 0;
  top: 0;
  font-size: 100%;
  font-family: $font-family
}

body {
	display: flex;
}

img {
	max-width: 100%;
}

// Utility

.left {
  text-align: left;
}

.right {
  text-align: right;
}

.center {
  text-align: center;
  margin-left: auto;
  margin-right: auto;
}

.justify {
  text-align: justify;
}

.hidden-sm {
  display: none;
}

// Header

header {
	display: flex;
	&.side-nav {
    flex: 1 0 12%;
		max-width: 185px;
		flex-direction: column;
		background: #333;
		border-right: 1px solid #111;
		margin: 0;
		position: fixed;
		min-height: 100%;
	}
	.title {
		color: #fff;
		font-size: 1.25rem;
		text-transform: uppercase;
		display: block;
		border-bottom: 1px solid #000;
		padding: 1rem 15px 1rem 15px;
	}
	ul.menu {
		display: flex;
		padding: 0;
	li.menu-item {
		display: inline-block;
		width: 100%;
		a {
			color: #fff;
			text-decoration: none;
			padding: 10px 15px;
			transition: .125s all ease-in-out;
			display: block;
			&:hover {
				background-color: #111;
			}
		}
	}
}
}

ul {
	margin: 0;
	list-style: none;
}

.top-bar {
	margin: 0 0 2rem 0;
	display: inline-block;
}

#main {
	flex: 1 0 88%;
	padding: 3.75rem 0 0;
	margin-left: 200px;
	max-width: 1150px;
}

// Index

.item-list {
	margin: 0;
	list-style: none;
	display: flex;
	flex-wrap: wrap;
	width: 100%;
	padding: 0;
}

.item {
	margin: 10px 0;
	a {
		display: inline-block;
	}
	.card {
		border-radius: 2px;
    overflow:  hidden;
    background-color: $vapor;
    position: relative;
		transition: .125s all ease-in-out;
		border: 1px solid $lgrey;
		max-width: 100%;
		&:hover {
			box-shadow: 0 27px 55px 0 rgba(0, 0, 0, 0.125), 0 17px 17px 0 rgba(0, 0, 0, 0.15);
		}
	}
	.item-image {
    min-height: 200px;
    width: 259px;
    display: block;
	}
	.item-title {
		color: $dark;
		margin: 15px 0 5px 0;
		text-decoration: none;
		display: inline-block;
		padding: 0 10px;
		white-space: normal;
		height: auto;
		max-width: 90%;
		overflow-wrap: break-word;
	}
}

.thumbnail {
  max-width: 100%;
}

dl {
  margin: 4rem 0 0;
}

dd {
	margin: 0 0 1rem 0;
}

/* show */

.preview-img {
  margin: 10px 0;
}

/* Cropper */

.cropper-buttons {
	margin: 1rem 0 0;
}

.cropper-ratios {
  input[disabled="disabled"] {
    opacity: 0.2;
  }
}

.cropper-wrapper {
  max-height: 85vh;
}

#cropper {
	margin: 2rem auto;
}

/* Buttons */

.btn {
	text-decoration: none;
	padding: 6px 18px;
	border-radius: 5px;
	color: #fff;
	display: inline-block;
	border: 0;
	&.btn-hollow {
		border: 2px solid $grey;
		color: $grey;
		padding: 3px 9px;
		&:hover {
			color: #fff;
			background-color: $grey;
		}
	}
}

.btn-primary {
	background-color: $green;
	transition: .125s all ease-in-out;
	&:hover {
		background-color: darken($green, 10)
	}
}

.btn-danger {
	background-color: $red;
	transition: .125s all ease-in-out;
	&:hover {
		background-color: darken($red, 10)
	}
}

/* Forms */

.field {
	background: #eee;
	padding: 0 10px 0 0px;
	border-radius: 4px 4px 0 0;
	label {
		width: 100%;
		padding: 5px 12px;
		font-size: 14px;
		display: inline-block;
		transition: .125s all ease-in-out;
		color: $grey;
	}
	input, textarea {
	  width: 100%;
	  height: 40px;
	  border-bottom: 3px solid #444;
	  border-left: 0;
	  border-right: 0;
	  border-top: 0;
	  font-size: 18px;
	  padding-left: 10px;
	  transition: .125s all ease-in-out;
	  background-color: transparent;
	  display: inline-block;
	}
	&:focus-within {
		background: #e1e1e1;
		outline: 0;
	}
}

form.search-bar {
	display: flex;
	flex-wrap: wrap;
}

input[type="search"] {
  width: 100%;
  height: 35px;
  padding: 0 10px;
  border: 1px solid #888;
  border-radius: 5px;
  flex: 0 1 90%;
  font-size: 1rem;
  -webkit-appearance: none;
  margin: 0;
  &:focus {
  	background-color: #f9f9f9;
  }
  @media only screen and (min-width: $breakpoint-med) {
		flex: 0 1 65%;
	}
	 @media only screen and (min-width: $breakpoint-large) {
		flex: 0 1 72%;
	}
}

input[type="submit"] {
	text-decoration: none;
	padding: 6px 18px;
	border-radius: 5px;
	color: $green;
	display: inline-block;
	border: 2px solid $green;
	background-color: transparent;
	transition: .125s all ease-in-out;
	font-size: 1rem;
	flex: 0 1 10%;
	margin: 10px 0;
	cursor: pointer;
	height: 35px;
	&:hover {
		background-color: $green;
		color: #fff;
	}
	@media only screen and (min-width: $breakpoint-med) {
		margin: 0 10px;
	}
}

input[submit]:disabled{
  border: 2px solid #999999;
  background-color: #cccccc;
  color: #666666;
}

button[type="reset"] {
	text-decoration: none;
	padding: 6px 18px;
	border-radius: 5px;
	color: #fff;
	display: inline-block;
	border: 2px solid $red;
	background-color: transparent;
	transition: .125s all ease-in-out;
	font-size: 1rem;
	flex: 0 1 90%;
	cursor: pointer;
	height: 35px;s
	&:hover {
		background-color: $red;
	}
	@media only screen and (min-width: $breakpoint-med) {
		flex: 0 1 10%;
	}
}

.pagination {
  margin: 1rem 0 4rem;
  text-align: center;
}

.page {
	background: $vapor;
	margin: 0 4px;
	border-radius: 3px;
	border: 1px solid #ddd;
	padding: 2px 5px 2px 8px;
  a {
  	text-decoration: none;
  	color: $dark;
  }
  &:hover {
  	background-color: darken($vapor, 10);
  }
  &.current {
  	background-color: darken($vapor, 10);
  	padding: 2px 5px;
  }
}

.first, .last, .prev, .next {
	padding: 2px 5px;
	background: #fafafa;
	margin: 0 2px;
	border-radius: 3px;
}